# Infra API

[Download OpenAPI spec](https://docs.mediakind.com/openapi/beam/infrastructure-api.json)

Base URL `https://app.mk.io`
v1.1.410 endpoints OpenAPI 3.0.2

## Overview

The MK.IO Infrastructure API is the project-level REST API for infrastructure configuration in MK.IO. It focuses on network and site management for operations workflows where infrastructure resources are created, queried, updated, and retired.

## Authentication

All endpoints require a bearer token in the `Authorization` header:
`Authorization: Bearer <your_token>`

You can create and manage your tokens in your [profile settings](https://app.mk.io/user/profile) under **Your personal API tokens**. Follow the [API tokens guide](https://docs.mediakind.com/mkio/how-to/managing-your-organization/api-tokens) for more information.

## Usage

Base URL: `https://app.mk.io`

Typical usage pattern:

- Create and maintain network and site resources.
- Update or remove resources as requirements change.

## Endpoints

[Networks 5 endpoints](https://docs.mediakind.com/api-reference/infrastructure-api/networks)

- [getList Networks/api/v1/projects/{project_name}/infra/networks](https://docs.mediakind.com/api-reference/infrastructure-api/networks/list-networks) 
- [getGet Network/api/v1/projects/{project_name}/infra/networks/{name}](https://docs.mediakind.com/api-reference/infrastructure-api/networks/get-network) 
- [putCreate Network/api/v1/projects/{project_name}/infra/networks/{name}](https://docs.mediakind.com/api-reference/infrastructure-api/networks/create-network) 
- [patchUpdate Network/api/v1/projects/{project_name}/infra/networks/{name}](https://docs.mediakind.com/api-reference/infrastructure-api/networks/update-network) 
- [delDelete Network/api/v1/projects/{project_name}/infra/networks/{name}](https://docs.mediakind.com/api-reference/infrastructure-api/networks/delete-network)

[Sites 5 endpoints](https://docs.mediakind.com/api-reference/infrastructure-api/sites)

- [getList Sites/api/v1/projects/{project_name}/infra/sites](https://docs.mediakind.com/api-reference/infrastructure-api/sites/list-sites) 
- [getGet Site/api/v1/projects/{project_name}/infra/sites/{name}](https://docs.mediakind.com/api-reference/infrastructure-api/sites/get-site) 
- [putCreate Site/api/v1/projects/{project_name}/infra/sites/{name}](https://docs.mediakind.com/api-reference/infrastructure-api/sites/create-site) 
- [patchUpdate Site/api/v1/projects/{project_name}/infra/sites/{name}](https://docs.mediakind.com/api-reference/infrastructure-api/sites/update-site) 
- [delDelete Site/api/v1/projects/{project_name}/infra/sites/{name}](https://docs.mediakind.com/api-reference/infrastructure-api/sites/delete-site)
